<div class="card mt-4 rtl">
    <h4 class="card-header rtl">تعریف اتاق جدید</h4>
    <div class="card-body">
        <div>
            <mat-form-field appearance="fill">
                <mat-label>نوع اتاق</mat-label>
                <mat-select [(ngModel)]="room.RoomTypeId" name="roomType"
                    (selectionChange)="roomTypeChange($event.value)">
                    <mat-option *ngFor="let rt of roomTypes" [value]="rt.id">
                        {{rt.name}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
        <div class="row">
            <div class="col">
                <mat-form-field appearance="fill">
                    <mat-label>نام پیشفرض</mat-label>
                    <mat-select [(ngModel)]="room.RoomDefaultNameId" name="roomType">
                        <mat-option *ngFor="let rdn of roomDefaultNames" [value]="rdn.id">
                            {{rdn.name}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <div class="col">
                <mat-form-field class="example-form-field">
                    <mat-label>نام دلخواه</mat-label>
                    <input matInput type="text" [(ngModel)]="room.CustomName">
                </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <mat-form-field *ngIf="selectedRoomType.hasBedRoom" class="example-form-field">
                    <mat-label>تعداد خواب</mat-label>
                    <input matInput type="number" max="10" [(ngModel)]="room.BedRoomQuantity" (blur)="setBed()"
                        (keyup.enter)="setBed()">
                </mat-form-field>
            </div>
            <div class="col">
                <mat-form-field *ngIf="selectedRoomType.hasLivingRoom" class="example-form-field">
                    <mat-label>تعداد پذیرایی</mat-label>
                    <input matInput type="number" max="5" [(ngModel)]="room.LivingRoomQuantity" (blur)="setliving()"
                        (keyup.enter)="setliving()">
                </mat-form-field>
            </div>
            <div class="col">
                <mat-form-field *ngIf="selectedRoomType.hasBathRoom" class="example-form-field">
                    <mat-label>تعداد سرویس بهداشتی</mat-label>
                    <input matInput type="number" [(ngModel)]="room.BathRoomQuantity">
                </mat-form-field>
            </div>
        </div>
        <div>
            <div class="row" *ngFor="let brc of bedRoomCount">
                <div class="col">
                    <mat-form-field class="example-form-field">
                        <mat-label>اتاق</mat-label>
                        <input matInput type="text" [(ngModel)]="brc.name">
                    </mat-form-field>
                </div>
                <div class="col-6">
                    <div class="row" *ngFor="let comp of brc.copositions">
                        <div class="col">
                            <mat-form-field appearance="fill">
                                <mat-label>ترکیب تخت</mat-label>
                                <mat-select [(ngModel)]="comp.bedCompositionId" name="roomType">
                                    <mat-option *ngFor="let bc of bedCompositions" [value]="bc.id">
                                        {{bc.name}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                        <div class="col">
                            <mat-form-field class="example-form-field">
                                <mat-label>تعداد</mat-label>
                                <input matInput type="number" [(ngModel)]="comp.count">
                            </mat-form-field>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <button mat-mini-fab color="accent" (click)="addCop(brc.copositions)">افزودن</button>
                </div>
            </div>
        </div>
        <div>
            <div class="row" *ngFor="let lrc of livingRoomCount">
                <div class="col">
                    <mat-form-field class="example-form-field">
                        <mat-label>عنوان</mat-label>
                        <input matInput type="text" [(ngModel)]="lrc.name">
                    </mat-form-field>
                </div>
                <div class="col-6">
                    <div class="row" *ngFor="let comp of lrc.copositions">
                        <div class="col">
                            <mat-form-field appearance="fill">
                                <mat-label>ترکیب تخت</mat-label>
                                <mat-select [(ngModel)]="comp.bedCompositionId" name="roomType">
                                    <mat-option *ngFor="let bc of bedCompositions" [value]="bc.id">
                                        {{bc.name}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                        <div class="col">
                            <mat-form-field class="example-form-field">
                                <mat-label>تعداد</mat-label>
                                <input matInput type="number" [(ngModel)]="comp.count">
                            </mat-form-field>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <button mat-mini-fab color="accent" (click)="addCop(lrc.copositions)">افزودن</button>
                </div>
            </div>
        </div>
        <div>
            <button mat-raised-button color="primary" (click)="submit()">ثبت</button>
        </div>
    </div>
</div>